Package org.pushingpixels.flamingo.api.common

# Class RichToolTipManager

java.lang.Object
java.awt.event.MouseAdapter
org.pushingpixels.flamingo.api.common.RichToolTipManager

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

public class RichToolTipManager extends MouseAdapter implements MouseMotionListener

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`RichToolTipManager.DismissTimerAction`
`protected class`
`RichToolTipManager.InitialDelayTimerAction`
`static class`
`RichToolTipManager.JTrackableComponent`

## Method Summary

Modifier and Type
Method
Description
`int`
`getDismissDelay()`
Returns the dismissal delay value.
`int`
`getInitialDelay()`
Returns the initial delay value.
`void`
`mouseDragged(MouseEvent event)`
`void`
`mouseEntered(MouseEvent event)`
`void`
`mouseExited(MouseEvent event)`
`void`
`mouseMoved(MouseEvent event)`
`void`
`mousePressed(MouseEvent event)`
`void`
`registerComponent(RichToolTipManager.JTrackableComponent comp)`
Registers a component for tooltip management.
`void`
`setDismissDelay(int milliseconds)`
Specifies the dismissal delay value.
`void`
`setInitialDelay(int milliseconds)`
Specifies the initial delay value.
`static RichToolTipManager`
`sharedInstance()`
Returns a shared `ToolTipManager` instance.
`void`
`unregisterComponent(RichToolTipManager.JTrackableComponent comp)`
Removes a component from tooltip control.

### Methods inherited from class java.awt.event.MouseAdapter

`mouseClicked, mouseReleased, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### setInitialDelay

public void setInitialDelay(int milliseconds)
Specifies the initial delay value.

Parameters:
  `milliseconds` - the number of milliseconds to delay (after the cursor has paused) before displaying the tooltip
See Also:
  - `getInitialDelay()`

### getInitialDelay

public int getInitialDelay()
Returns the initial delay value.

Returns:
  an integer representing the initial delay value, in milliseconds
See Also:
  - `setInitialDelay(int)`

### setDismissDelay

public void setDismissDelay(int milliseconds)
Specifies the dismissal delay value.

Parameters:
  `milliseconds` - the number of milliseconds to delay before taking away the tooltip
See Also:
  - `getDismissDelay()`

### getDismissDelay

public int getDismissDelay()
Returns the dismissal delay value.

Returns:
  an integer representing the dismissal delay value, in milliseconds
See Also:
  - `setDismissDelay(int)`

### sharedInstance

public static RichToolTipManager sharedInstance()
Returns a shared `ToolTipManager` instance.

Returns:
  a shared `ToolTipManager` object

### registerComponent

public void registerComponent(RichToolTipManager.JTrackableComponent comp)
Registers a component for tooltip management.

This will register key bindings to show and hide the tooltip text only if `component` has focus bindings. This is done so that components that are not normally focus traversable, such as `JLabel`, are not made focus traversable as a result of invoking this method.

Parameters:
  `comp` - a `JComponent` object to add
See Also:
  - `Component.isFocusTraversable()`

### unregisterComponent

public void unregisterComponent(RichToolTipManager.JTrackableComponent comp)
Removes a component from tooltip control.

Parameters:
  `comp` - a `JComponent` object to remove

### mouseEntered

public void mouseEntered(MouseEvent event)

Specified by:
  `mouseEntered` in interface `MouseListener`
Overrides:
  `mouseEntered` in class `MouseAdapter`

### mouseExited

public void mouseExited(MouseEvent event)

Specified by:
  `mouseExited` in interface `MouseListener`
Overrides:
  `mouseExited` in class `MouseAdapter`

### mousePressed

public void mousePressed(MouseEvent event)

Specified by:
  `mousePressed` in interface `MouseListener`
Overrides:
  `mousePressed` in class `MouseAdapter`

### mouseDragged

public void mouseDragged(MouseEvent event)

Specified by:
  `mouseDragged` in interface `MouseMotionListener`
Overrides:
  `mouseDragged` in class `MouseAdapter`

### mouseMoved

public void mouseMoved(MouseEvent event)

Specified by:
  `mouseMoved` in interface `MouseMotionListener`
Overrides:
  `mouseMoved` in class `MouseAdapter`